Electricity Bill Verification

Electricity Bill Verification: Instantly verify customer identities by cross-checking electricity bill details to ensure authenticity and reduce fraud.

electricity_bill_verification

POST https://secctrl.tutelar.io/api/v1/services/business_profile/electricity_bill_verification

Sample Request Body

Body
Type
Mandatory
Description

customer_id

string

Yes

Unique Customer ID allotted to the customer by each Electricity Distribution Company

service_provider

string

Yes

The Electricity Distribution Company for which the bill or customer is to be authenticated (Refer Table below for list of covered service providers)

consent

string

Yes

Consent is required to make the API request

mobile_number

string

No

Registered mobile number. Field is mandatory for code - KERALA

Sample Post Parameters

{
    "consumer_id": "0958400XXX",
    "service_provider": "CHENNAI_SOUTH",
    "consent": "Y",
    "mobile_number": "987654XXXX"
}
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "13c09db3-ba60-4bfd-9c77-552c2b53eb45",
    "status": "completed",
    "result": {
        "consumer_name": "M MUNIRAMAIAH",
        "bill_no": "xxxxxxxxxx",
        "bill_due_date": "01-03-2026",
        "consumer_number": "xxxxxxxxxx",
        "bill_amount": "Rs.4739",
        "bill_issue_date": "01-02-2026",
        "amount_payable": "Rs.4739",
        "total_amount": "Rs.4739",
        "bill_date": "01-02-2026",
        "address": "J abc abc, - - 560102. KAR, IND",
        "email_address": "[email protected]",
        "mobile_number": "xxxxxxxxxx"
    },
    "requested_at": "2026-03-03T07:10:01.373Z",
    "completed_at": "2026-03-03T07:10:02.310Z"
}

Get details

GET https://secctrl.tutelar.io/api/v1/services/business_profile/electricity_bill_verification

Query parameters description is given below,

Query Parameter
Type
Is Mandatory
Description

reference_id

String

Yes

Document reference id

Last updated